ChangeSet 1.1315.8.19, 2003/09/17 17:06:09-07:00, dan@reactivated.net

[PATCH] USB: Debug code fixes for dabusb


 drivers/usb/media/dabusb.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)


diff -Nru a/drivers/usb/media/dabusb.c b/drivers/usb/media/dabusb.c
--- a/drivers/usb/media/dabusb.c	Fri Sep 19 17:11:10 2003
+++ b/drivers/usb/media/dabusb.c	Fri Sep 19 17:11:10 2003
@@ -89,7 +89,6 @@
 static void dump_urb (struct urb *urb)
 {
 	dbg("urb                   :%p", urb);
-	dbg("next                  :%p", urb->next);
 	dbg("dev                   :%p", urb->dev);
 	dbg("pipe                  :%08X", urb->pipe);
 	dbg("status                :%d", urb->status);
@@ -728,7 +727,7 @@
 	pdabusb_t s;
 
 	dbg("dabusb: probe: vendor id 0x%x, device id 0x%x ifnum:%d",
-	  usbdev->descriptor.idVendor, usbdev->descriptor.idProduct, ifnum);
+	  usbdev->descriptor.idVendor, usbdev->descriptor.idProduct, intf->altsetting->desc.bInterfaceNumber);
 
 	/* We don't handle multiple configurations */
 	if (usbdev->descriptor.bNumConfigurations != 1)
@@ -762,7 +761,7 @@
 			goto reject;
 		}
 	}
-	dbg("bound to interface: %d", ifnum);
+	dbg("bound to interface: %d", intf->altsetting->desc.bInterfaceNumber);
 	usb_set_intfdata (intf, s);
 	up (&s->mutex);
 
